# pandas.Series.to_msgpack

`Series.``to_msgpack`(path_or_buf=None, encoding='utf-8', **kwargs)

  Serialize object to input file path using msgpack format.

  Deprecated since version 0.25.0.

  to_msgpack is deprecated and will be removed in a future version. It is recommended to use pyarrow for on-the-wire transmission of pandas objects.

  Parameters:

  path : string File path, buffer-like, or None

  > if None, return generated bytes

  append : bool whether to append to an existing msgpack

  > (default is False)

  compress : type of compressor (zlib or blosc), default to None (no

  > compression)

  Returns:

  None or bytes

  > If path_or_buf is None, returns the resulting msgpack format as a byte string. Otherwise returns None.

Scroll To Top